<?php

namespace backend\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Frapl013b;

/**
 * Frapl013bSearch represents the model behind the search form of `backend\models\Frapl013b`.
 */
class Frapl013bSearch extends Frapl013b
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['FRAPL01_UUID', 'FRAPL01_3B_UUID', 'FRAPL01_3B_FILE', 'FRAPL01_3B_BUKTI', 'FRAPL01_3B_SYARAT', 'CREATED', 'USERNAME'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     * @param string|null $formName Form name to be used into `->load()` method.
     *
     * @return ActiveDataProvider
     */
    public function search($params, $formName = null)
    {
        $query = Frapl013b::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params, $formName);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'CREATED' => $this->CREATED,
        ]);

        $query->andFilterWhere(['like', 'FRAPL01_UUID', $this->FRAPL01_UUID])
            ->andFilterWhere(['like', 'FRAPL01_3B_UUID', $this->FRAPL01_3B_UUID])
            ->andFilterWhere(['like', 'FRAPL01_3B_FILE', $this->FRAPL01_3B_FILE])
            ->andFilterWhere(['like', 'FRAPL01_3B_BUKTI', $this->FRAPL01_3B_BUKTI])
            ->andFilterWhere(['like', 'FRAPL01_3B_SYARAT', $this->FRAPL01_3B_SYARAT])
            ->andFilterWhere(['like', 'USERNAME', $this->USERNAME]);

        return $dataProvider;
    }
}
